Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236296 - error starting gnome when on slower box
Summary: error starting gnome when on slower box
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On: 236752
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-04-12 21:48 UTC by Jeremy Katz
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-18 04:14:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 430889 None None None Never

Description Jeremy Katz 2007-04-12 21:48:48 UTC
Or, live DVD at least.  Error dialog
(gnome-session/gsm-gsd.c:gsd_error_dialog()) pops up with the error message of
  Activation of org.gnome.settingsDaemon timed out.

I think that just doing a loop around the org_gnome_SettingsDaemon_awake() call
and letting it take a little bit of time is enough to fix the problem

Comment 1 Ray Strode [halfline] 2007-04-13 21:26:23 UTC
I *think* this should be better in tomorrow's rawhide, but I'd like confirmation
before I close the bug and push the patch upstream.

marking MODIFIED.  Will, would you mind giving it a go?

Comment 2 Jeremy Katz 2007-04-13 21:45:00 UTC
Live image with the new package is building now.  

Comment 3 Yanko Kaneti 2007-04-17 14:10:53 UTC
Here the be-more-async patch in 2.18.0-9 breaks the theme manager as in changes
in Custumize->Controls dialog don't take effect.

Comment 4 Ray Strode [halfline] 2007-04-17 14:17:02 UTC
uh oh.  yaneti, would you mind filing another bug about that problem (and
referencing this bug in that report) ?

Comment 5 Matthias Clasen 2007-04-17 22:37:34 UTC
Jeremy, is the original issue here fixed ?

Comment 6 Jeremy Katz 2007-04-17 23:03:08 UTC
I thought I added an update here.

Original issue seems to fixed.  At least, I can't trigger on the box I was
hitting it with last week.


Note You need to log in before you can comment on or make changes to this bug.